summaryrefslogtreecommitdiffstats
path: root/development/tkdnd
diff options
context:
space:
mode:
author Zbigniew Baniewski2011-01-09 13:31:49 +0100
committer Robby Workman2011-01-10 22:04:24 +0100
commit63c9e340efc30ec746caffc6d979049d8cf651c2 (patch)
treeb5b9d810235512f334f366c43e839a80d36e45c3 /development/tkdnd
parent8f2a74049e62a940513263708d1e74c38a0c7589 (diff)
downloadslackbuilds-63c9e340efc30ec746caffc6d979049d8cf651c2.tar.gz
development/tkdnd: Added (Tk Drag and Drop Interface)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development/tkdnd')
-rw-r--r--development/tkdnd/README4
-rw-r--r--development/tkdnd/slack-desc19
-rw-r--r--development/tkdnd/tkdnd.SlackBuild85
-rw-r--r--development/tkdnd/tkdnd.info10
4 files changed, 118 insertions, 0 deletions
diff --git a/development/tkdnd/README b/development/tkdnd/README
new file mode 100644
index 0000000000..e590992e87
--- /dev/null
+++ b/development/tkdnd/README
@@ -0,0 +1,4 @@
+The tkdnd family commands provide a Tcl interface to native, platform
+specific drag and drop mechanism. Under unix the drag&drop protocol in use
+is the XDND protocol version 5 (also used by the Qt toolkit, and the KDE
+and GNOME desktops).
diff --git a/development/tkdnd/slack-desc b/development/tkdnd/slack-desc
new file mode 100644
index 0000000000..0128b1f1b4
--- /dev/null
+++ b/development/tkdnd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tkdnd: tkdnd (Tk Drag and Drop Interface)
+tkdnd:
+tkdnd: The tkdnd family commands provide a Tcl interface to native, platform
+tkdnd: specific drag and drop mechanism. Under unix the drag&drop protocol in
+tkdnd: use is the XDND protocol version 5 (also used by the Qt toolkit, and
+tkdnd: the KDE and GNOME desktops).
+tkdnd:
+tkdnd: http://tkdnd.sourceforge.net/
+tkdnd:
+tkdnd:
+tkdnd:
diff --git a/development/tkdnd/tkdnd.SlackBuild b/development/tkdnd/tkdnd.SlackBuild
new file mode 100644
index 0000000000..e979325159
--- /dev/null
+++ b/development/tkdnd/tkdnd.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for tkdnd
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=tkdnd
+VERSION=2.2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM$VERSION
+tar xvf $CWD/${PRGNAM}${VERSION}.tar.gz
+cd $PRGNAM$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-tcl=/usr/lib${LIBDIRSUFFIX} \
+ --with-tclinclude=/usr/include/tcl-private/generic \
+ --with-tk=/usr/lib${LIBDIRSUFFIX} \
+ --with-tkinclude=/usr/include/tk-private/generic \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog license.terms demos $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/tkdnd/tkdnd.info b/development/tkdnd/tkdnd.info
new file mode 100644
index 0000000000..65d310e8b0
--- /dev/null
+++ b/development/tkdnd/tkdnd.info
@@ -0,0 +1,10 @@
+PRGNAM="tkdnd"
+VERSION="2.2"
+HOMEPAGE="http://sourceforge.net/projects/tkdnd/"
+DOWNLOAD="http://downloads.sourceforge.net/tkdnd/tkdnd2.2.tar.gz"
+MD5SUM="2d77b39af6aeb77158aebfc97dd28581"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"